net.sf.okapi.lib.xliff2.reader

## Class Event

- java.lang.Object
- - net.sf.okapi.lib.xliff2.reader.Event

-     public class Event
      extends java.lang.Object

  Represents an event send by the the `XLIFFReader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(EventType type, URIContext uriCtx)`
    `Event(EventType type, URIContext uriCtx, java.lang.Object object)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InsingnificantPartData` | `getInsingnificantPartData()`
    `MidFileData` | `getMidFileData()`
    `java.lang.Object` | `getResource()`
    `Skeleton` | `getSkeletonData()`
    `StartFileData` | `getStartFileData()`
    `StartGroupData` | `getStartGroupData()`
    `StartXliffData` | `getStartXliffData()`
    `EventType` | `getType()`
    `Unit` | `getUnit()`
    `URIContext` | `getURIContext()`
    `boolean` | `isEndDocument()`
    `boolean` | `isEndFile()`
    `boolean` | `isEndGroup()`
    `boolean` | `isEndXliff()`
    `boolean` | `isMidFile()`
    `boolean` | `isSkeleton()`
    `boolean` | `isStartDocument()`
    `boolean` | `isStartFile()`
    `boolean` | `isStartGroup()`
    `boolean` | `isStartXliff()`
    `boolean` | `isUnit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event(EventType type,
               URIContext uriCtx)

    - #### Event

          public Event(EventType type,
               URIContext uriCtx,
               java.lang.Object object)

  - ### Method Detail

    - #### getType

          public EventType getType()

    - #### getURIContext

          public URIContext getURIContext()

    - #### isStartDocument

          public boolean isStartDocument()

    - #### isEndDocument

          public boolean isEndDocument()

    - #### isStartXliff

          public boolean isStartXliff()

    - #### getStartXliffData

          public StartXliffData getStartXliffData()

    - #### isEndXliff

          public boolean isEndXliff()

    - #### isStartFile

          public boolean isStartFile()

    - #### getStartFileData

          public StartFileData getStartFileData()

    - #### isMidFile

          public boolean isMidFile()

    - #### getMidFileData

          public MidFileData getMidFileData()

    - #### isEndFile

          public boolean isEndFile()

    - #### isSkeleton

          public boolean isSkeleton()

    - #### getSkeletonData

          public Skeleton getSkeletonData()

    - #### isStartGroup

          public boolean isStartGroup()

    - #### getStartGroupData

          public StartGroupData getStartGroupData()

    - #### isEndGroup

          public boolean isEndGroup()

    - #### isUnit

          public boolean isUnit()

    - #### getUnit

          public Unit getUnit()

    - #### getInsingnificantPartData

          public InsingnificantPartData getInsingnificantPartData()

    - #### getResource

          public java.lang.Object getResource()